Hide navigation sidebar
Hide table of contents sidebar
Toggle table of contents sidebar

# self.get_order

lumibot.strategies.strategy.Strategy.get_order(self, identifier)

  Get a tracked order given an identifier. Check the details of the order including status, etc.

  Returns

    An order objects for the identifier

  Return type

    Order or None

  Example

      >>> # Get the order object for the order id
      >>> order = self.get_order(order_id)
      >>> # Show the status of the order
      >>> self.log_message(order.status)